# PropertyValueChangedEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [PropertyValueChanged](/api/wisej.web/lists-and-grids/propertygrid.md#propertyvaluechanged) event of a [PropertyGrid](/api/wisej.web/lists-and-grids/propertygrid.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class PropertyValueChangedEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class PropertyValueChangedEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) PropertyValueChangedEventArgs(changedItem, oldValue)

Initializes a new instance of the [PropertyValueChangedEventArgs](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvaluechangedeventargs.md) class.

| Name            | Type                                                                          | Description                        |
| --------------- | ----------------------------------------------------------------------------- | ---------------------------------- |
| **changedItem** | [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md) | The item in the grid that changed. |
| **oldValue**    | [Object](https://docs.microsoft.com/dotnet/api/system.object)                 | The old property value.            |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) ChangedItem

[GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md): Returns the [GridItem](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.griditem.md) that was changed.

### ![](/files/hsR4ok3152WyAf8J2C1u) OldValue

[Object](https://docs.microsoft.com/dotnet/api/system.object): The value of the grid item before it was changed.

## Used By

| Name                                                                                                                          | Description                                                                                  |
| ----------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------- |
| [PropertyValueChangedEventHandler](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvaluechangedeventhandler.md) | The event handler class that is invoked when a property in the grid is modified by the user. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvaluechangedeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
